## Quarkus configs
quarkus.log.level=INFO
quarkus.http.port=8090
quarkus.http.root-path=/download
quarkus.http.cors=true
quarkus.http.enable-compression=true
quarkus.micrometer.enabled=true
quarkus.oidc.enabled=false
## Required to fix instruction set mismatch due to mixed CPU in infra
quarkus.native.additional-build-args=-march=x86-64-v2

## Security configs
eclipse.security.csrf.enabled=true
eclipse.security.csrf.distributed-mode.is-default-provider=false
eclipse.security.csrf.distributed-mode.enabled=false

## DATASOURCE CONFIG
eclipse.persistence.pagination-limit.max=100
quarkus.datasource.db-kind=mariadb
quarkus.datasource.db-version=10.0.0
quarkus.datasource.jdbc.min-size = 5
quarkus.datasource.jdbc.max-size = 15

## RestClient configs
drupal/mp-rest/url=https://eclipse.org
drupal/mp-rest/followRedirects=true

## Tells Quarkus which objects are associated with what databases (used to generate entity tables internally)
quarkus.hibernate-orm.packages=org.eclipsefoundation.downloads.dto,org.eclipsefoundation.persistence.dto
quarkus.hibernate-orm.datasource=<default>
quarkus.hibernate-orm.physical-naming-strategy=org.eclipsefoundation.downloads.config.DefaultPhysicalNamingStrategy
